<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NetscriptPort](./bitburner.netscriptport.md) &gt; [full](./bitburner.netscriptport.full.md)

## NetscriptPort.full() method

Check if the port is full.

**Signature:**

```typescript
full(): boolean;
```
**Returns:**

boolean

true if the port is full, otherwise false

## Remarks

RAM cost: 0 GB

